org.codehaus.plexus.classworlds.strategy

## Interface Strategy

All Known Implementing Classes:
  AbstractStrategy, OsgiBundleStrategy, ParentFirstStrategy, SelfFirstStrategy

    public interface Strategy

A strategy is a class for defining how classes and resources are located in classworlds.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassRealm` `getRealm()`
`URL` `getResource(String name)`
`Enumeration<URL>` `getResources(String name)`
`Class<?>` `loadClass(String name)`

### Method Detail

#### loadClass

    Class<?> loadClass(String name)
                throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### getResource

    URL getResource(String name)

#### getResources

    Enumeration<URL> getResources(String name)
                           throws IOException

Throws:
  `IOException`

#### getRealm

    ClassRealm getRealm()